#ifndef ITEM_FILTER_HPP_
#define ITEM_FILTER_HPP_

#include <ItemStack/ItemStack.hpp>

/**
 * @brief Base class for item stack filters.
 */
class ItemFilter
{
public:
    virtual ~ItemFilter() = default;

    /**
     * @brief Returns true if this filter matches the stack.
     */
    virtual bool matches(ItemStack &stack) = 0;
};

#endif